Xalan-Java 2.7.1: Class JAXPExtensionsProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.jaxp
Class JAXPExtensionsProvider

    java.lang.Object
      |
      +--org.apache.xpath.jaxp.JAXPExtensionsProvider

public class JAXPExtensionsProvider
extends java.lang.Object
implements ExtensionsProvider

Constructor Summary
`JAXPExtensionsProvider(XPathFunctionResolver resolver)`
`JAXPExtensionsProvider(XPathFunctionResolver resolver, boolean featureSecureProcessing)`

Method Summary
`boolean` | `elementAvailable(java.lang.String ns, java.lang.String elemName)` Is the extension element available?
`java.lang.Object` | `extFunction(FuncExtFunction extFunction, java.util.Vector argVec)` Execute the extension function.
`java.lang.Object` | `extFunction(java.lang.String ns, java.lang.String funcName, java.util.Vector argVec, java.lang.Object methodKey)` Execute the extension function.
`boolean` | `functionAvailable(java.lang.String ns, java.lang.String funcName)` Is the extension function available?

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JAXPExtensionsProvider

    public JAXPExtensionsProvider(XPathFunctionResolver resolver)

### JAXPExtensionsProvider

    public JAXPExtensionsProvider(XPathFunctionResolver resolver,
                                  boolean featureSecureProcessing)

Method Detail

### functionAvailable

    public boolean functionAvailable(java.lang.String ns,
                                     java.lang.String funcName)
                              throws TransformerException

  Is the extension function available?
  Specified by:
    functionAvailable in interface ExtensionsProvider

### elementAvailable

    public boolean elementAvailable(java.lang.String ns,
                                    java.lang.String elemName)
                             throws TransformerException

  Is the extension element available?
  Specified by:
    elementAvailable in interface ExtensionsProvider

### extFunction

    public java.lang.Object extFunction(java.lang.String ns,
                                        java.lang.String funcName,
                                        java.util.Vector argVec,
                                        java.lang.Object methodKey)
                                 throws TransformerException

  Execute the extension function.
  Specified by:
    extFunction in interface ExtensionsProvider

### extFunction

    public java.lang.Object extFunction(FuncExtFunction extFunction,
                                        java.util.Vector argVec)
                                 throws TransformerException

  Execute the extension function.
  Specified by:
    extFunction in interface ExtensionsProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.